Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002208KdenliveEffectspublic2011-07-02 02:382011-11-01 18:56
ReporterAlexK 
Assigned Toj-b-m 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platform32 bit intel and alikeOSDebian LinuxOS Version4.0
Product VersionRecent git 
Target VersionFixed in Version0.8.2 
Summary0002208: Effect Timeline display shows only 2/3 of actual timeline
DescriptionThis bug affects all effects + transitions utilising keyframes that I have so far used.

One third of the timeline within the Effect Stack window is missing. Obviously, any keyframes created there cannot be seen.
Steps To Reproduce1 Drop a clip in the timeline & drag to 1:30
2 Select eg Pan & Zoom Effect
3 Click to `Synchronise with Timeline Cursor'
4 Press Home to go to clip beginning
 (gray chevron is also at far LHS in Effect Stack window)
5 Press right-arrow on keyboard until chevron reaches far RHS

...the timeline marker will be at approx 1:00
Additional Information~$ $HOME/kdenlive/20110630/start-kdenlive --version
Kdenlive Builder Wizard version: 11
libvpx: commit ae8aa836d5a4c81e680d035f84eeed4dc8e4c765 Date: Thu Jun 30 11:14:24 2011 -0700
x264: commit 4c552d873ada1be3cf2d77965427fab599d051a0 Date: Thu Jun 9 01:34:14 2011 +0400
frei0r: commit 6c65d6a48b8c0d51791bc3ba7e25a161c95fac30 Date: Wed Mar 16 00:54:34 2011 -0700
ffmpeg: commit a09918335f1305e2d6bf6a9b0001ac5f167c1aea Date: Wed Jun 29 12:38:46 2011 -0400
mlt: commit febfd488055a5994c96c5bc6b33213a609a7b054 Date: Sun Jun 26 23:07:08 2011 -0700
kdenlive: Revision: 5751 Last Changed Date: 2011-06-30 16:02:39 +0100 (Thu, 30 Jun 2011)
Qt: 4.7.3
KDE Development Platform: 4.4.5 (KDE 4.4.5)
Kdenlive: 0.8.1 (rev. 5751)
alex@AVLinux5:~$ $HOME/kdenlive/20110630/start-kdenlive --version
Kdenlive Builder Wizard version: 11
libvpx: commit ae8aa836d5a4c81e680d035f84eeed4dc8e4c765 Date: Thu Jun 30 11:14:24 2011 -0700
x264: commit 4c552d873ada1be3cf2d77965427fab599d051a0 Date: Thu Jun 9 01:34:14 2011 +0400
frei0r: commit 6c65d6a48b8c0d51791bc3ba7e25a161c95fac30 Date: Wed Mar 16 00:54:34 2011 -0700
ffmpeg: commit a09918335f1305e2d6bf6a9b0001ac5f167c1aea Date: Wed Jun 29 12:38:46 2011 -0400
mlt: commit febfd488055a5994c96c5bc6b33213a609a7b054 Date: Sun Jun 26 23:07:08 2011 -0700
kdenlive: Revision: 5751 Last Changed Date: 2011-06-30 16:02:39 +0100 (Thu, 30 Jun 2011)
Qt: 4.7.3
KDE Development Platform: 4.4.5 (KDE 4.4.5)
Kdenlive: 0.8.1 (rev. 5751)

Keyframes added to Pan & Zoom are also prone to go AWOL. No idea as to whether there is some connection.
TagsNo tags attached.
Build/Install MethodBuild Wizard
Attached Filesjpg file icon effects.jpg [^] (218,438 bytes) 2011-07-02 05:07

- Relationships

-  Notes
(0007003)
AlexK (reporter)
2011-07-02 02:49

Attempting just now to use Pan&Zoom in anger, and pressing the tab key to jump from one control to the next, I have discovered:

1 the missing effect timeline is present, but hidden
 (no horizontal scrollbar)
 (a large number of `hidden' controls also revealed)
2 whilst tabbing works, shift-tabbing (reverse movement) does not
(0007004)
AlexK (reporter)
2011-07-02 05:21

Notice in the screen shot:

1 no horizontal scrollbar
2 missing, inaccessible controls in Effects Stack window
(0007011)
j-b-m (administrator)
2011-07-03 13:28

Scrollbar added in svn rev. 5758
(0007015)
AlexK (reporter)
2011-07-04 09:28

Yes, that works fine (you would have thought that a 17" screen would have been big enough, but I guess not).

Thanks v much - this specific issue may be marked `closed'.

$ $HOME/kdenlive/20110704/start-kdenlive --version
Kdenlive Builder Wizard version: 11
libvpx: commit b4f70084cc64b8304005a385cb0a670431aced20 Date: Fri Jul 1 07:14:34 2011 -0700
x264: commit 4c552d873ada1be3cf2d77965427fab599d051a0 Date: Thu Jun 9 01:34:14 2011 +0400
frei0r: commit 6c65d6a48b8c0d51791bc3ba7e25a161c95fac30 Date: Wed Mar 16 00:54:34 2011 -0700
ffmpeg: commit 145293b33566d0029e61281233750ed363cd8cee Date: Mon Jul 4 03:05:24 2011 +0200
mlt: commit 6481ebb58cf2f477d12fcf563903aeea6fe90928 Date: Sun Jul 3 13:12:26 2011 -0700
kdenlive: Revision: 5759 Last Changed Date: 2011-07-03 15:15:06 +0100 (Sun, 03 Jul 2011)
Qt: 4.7.3
KDE Development Platform: 4.4.5 (KDE 4.4.5)
Kdenlive: 0.8.1 (rev. 5759)

- Issue History
Date Modified Username Field Change
2011-07-02 02:38 AlexK New Issue
2011-07-02 02:49 AlexK Note Added: 0007003
2011-07-02 05:07 AlexK File Added: effects.jpg
2011-07-02 05:21 AlexK Note Added: 0007004
2011-07-03 13:28 j-b-m Note Added: 0007011
2011-07-04 09:28 AlexK Note Added: 0007015
2011-07-04 10:19 j-b-m Status new => resolved
2011-07-04 10:19 j-b-m Fixed in Version => Recent git
2011-07-04 10:19 j-b-m Resolution open => fixed
2011-07-04 10:19 j-b-m Assigned To => j-b-m
2011-07-05 12:15 j-b-m Fixed in Version Recent git => 0.8.2
2011-11-01 18:56 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker